Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Management Auth
cURL
curl --request PUT \ --url https://api.dintero.com/v1/account/user/mfa/sms \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "enabled": true } '
import requests url = "https://api.dintero.com/v1/account/user/mfa/sms" payload = { "enabled": True } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({enabled: true}) }; fetch('https://api.dintero.com/v1/account/user/mfa/sms', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.dintero.com/v1/account/user/mfa/sms" payload := strings.NewReader("{\n \"enabled\": true\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.put("https://api.dintero.com/v1/account/user/mfa/sms") .header("Authorization", "Bearer <token>") .header("Content-Type", "application/json") .body("{\n \"enabled\": true\n}") .asString();
{ "error": { "message": "<string>", "code": "<string>", "errors": [ {} ] } }
Update the user SMS MFA configuration
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
mobile number of a person / company, ITU/E.123 format with international prefix (+PPNNNNNNNNN...)
required when enabling SMS MFA
^\+?\d{5,15}$
Accepted
Contact support